USB_FREE_URB(9)

NAME
usb_free_urb - frees the memory used by a urb when all users of it are finished

SYNOPSIS

void usb_free_urb (struct urb * urb);

ARGUMENTS

urb pointer to the urb to free, may be NULL

DESCRIPTION

Must be called when a user of a urb is finished with it. When the last user of the urb calls this function, the memory of the urb is freed.

NOTE

The transfer buffer associated with the urb is not freed, that must be done elsewhere.